MARTe2-core - User story #157

Lint: Sleep
28.06.2015 19:02 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/OperatingSystem/Linux/SleepOS.cpp
¢ Source/Core/LOPortability/Sleep.h

Architecture & design review
Date of the review: 22/07/2015

Person who did the review: Lioreng Capella

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does

not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 22/07/2015

Person who did the review: Lioreng Capella

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A

Unit test review

Date of the review: 23/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A
Unit testing coverage note: Error paths not exercised

Associated revisions

Revision ac803463 - 23.07.2015 08:19 - lvan Herrero
#157 - Formatting and date fixes

Revision 2be4¢c250 - 23.07.2015 08:34 - lvan Herrero
#157 - Coding standard for inline functions applied to

Sleep::Busy(float64)

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 03.07.2015 14:12 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:21 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 22.07.2015 15:13 - Llorenc Capella

- Assignee set to Llorenc Capella

#8 - 22.07.2015 15:46 - Llorenc Capella
- Status changed from Code: Rev to Unit: Impl

#9 - 22.07.2015 15:49 - Llorenc Capella

- Description updated

#10 - 22.07.2015 16:08 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#11 - 22.07.2015 16:08 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#12 - 23.07.2015 08:43 - Ilvan Herrero
- Description updated

- Status changed from Unit: Rev to Closed

Unit test review made on revision 2be4c25.
